Subject: Re: gcc -shared under 2.95.3-5, unable to convert .o to .dll via -shared flag
From: "Robert Collins" <[email-masked]>
To: "Gregory Lampshire" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 31 Dec 2001 08:52:12 +1100

Please keep the conversation on the list.

===
----- Original Message -----
From: "Gregory Lampshire" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Sent: Monday, December 31, 2001 2:33 AM
Subject: Re: gcc -shared under 2.95.3-5, unable to convert .o to .dll
via -shared flag

> Rob,
>
> Many thanks for the clarification.  I did run a gcc with all the
static (.a)
> libs that are needed to resolve the symbols.  This resulted in huge
.so
> (.dll) files for many .so files that are individually compiled then
loaded.
> The static libs are bound together to make an ecl executable which is
the
> image file that loads the .so files once they are cerated.  Is there
anyway
> to get the .so files without the link pulling in *everything* to
resolve the
> symbols?  I am curious if I went to dll libraries for everything
perhaps my
> issues be solved.

I'll repeat myself. WIN32 *DOES NOT PERMIT UNRESOLVED SYMBOLS*. There is
NO WAY to get .dll's without pulling in everything.

And yes, more .dll's = mor shared code = smaller objects.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/